Subject: Background info
From: "Kay Price" <[email-masked]>
To: "Jim Kirchstein" <[email-masked]>
Date: Thu, 25 Aug 2011 19:41:01 -0500

Jim, I was naïve at first but using my detective skills was able to figure this out J   Kay

 

Henry was right that George is mad at JR about giving a book discount. I found out this all started when a book store owner from MN asked George for a discount on his order. George refused because he doesn't like the guy. George has a long list of people he hates and this guy was on it. It turns out JR is his friend. He then placed his order with JR. It was a $600 order and JR gave him the same 20% discount that we give to Tripp and others hoping to sell in their stores. This infuriated George!

Next George decided to put himself in the middle of the talented kids program to try and get back in the good graces of Fred and Julie, who were angry because they paid George for two years of books that did not get to them on time, among other things. He went over JR's head and told the Baraboo contact person that he was teaching the class, much to JR's surprise. He tried to convince Fred and Julie to take off work, they did not show up.

George wanted to be the big shot. He told JR he wanted to talk to the kids and JR asked, about what? George said, about synonyms. JR thought that was way over the 3rd graders heads, plus he knew what was required of his time, as was told to each teacher. He said no. A word you don't say to George.

George started bad mouthing JR to Rodney, John, Dan, Henry and Pat, and anyone else who would listen. Some believed him.

He was additionally irritated when JR told him there was a moratorium on book purchases. He didn't see it in the minutes so he was sure JR was at fault. When I told him we had all voted on it, it did not matter. He stopped to see Rodney before the meeting and they had a plan "to get" JR! George would be quiet and Rodney would attack. They succeeded in embarrassing JR because he had not put that in the minutes and he should have. 

George told me he hated JR, was "done with him and us." He said he would not sell the ADS another book. Period. I didn't fully understand what was going on but told George he had no reason "to hate" JR and he was being unreasonable. I tried to be the person of reason to make the peace. That made him turn on me. 

Back to Rodney to carry out his dirty work. I get the sarcastic letter insulting me and Dan, because we might use him instead of George to print books. The truth is George doesn't know how to print on demand, He can't compete and that makes him angry too.

I don't even think Rodney realizes that George used him. Notice how George is quiet, Appears to not be involved. John in his wisdom said, there must be more to this story, and asked, what is it? I have slowly put the pieces together to figure it out.

Rodney did not plan to come to lunch on Friday until George decided he wanted to know what was discussed and prodded him to show up. He is not planning to come to discuss his beef or to apologize but to give Ken and other "appropriate members" information. Hu? Even his letter to Ken sounded sarcastic to a couple of members.

This is all a "gotcha" game of revenge for George. Perry commented on the twinkle in his eye after the meeting, like "that'll show ya". 

We are a friendly group of volunteers and we have no need or desire to play games. We will act with our usual consideration and good will at the lunch’s unofficial meeting. But remembering that our by-laws do not state that the VP is the automatic next president, nor does a past president stay on the board past one term. We will nominate and decide on each board member this October. Something we have been lax in doing. Maybe that will automatically take care of this problem?

Kay